#
# spec file for package perl-Mojo-Pg
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Mojo-Pg
Version:        4.08
Release:        lp152.3.2
%define cpan_name Mojo-Pg
Summary:        Mojolicious ♥ PostgreSQL
License:        Artistic-2.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Mojo-Pg/
Source0:        https://cpan.metacpan.org/authors/id/S/SR/SRI/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(DBD::Pg) >= 3.005001
BuildRequires:  perl(Mojolicious) >= 7.53
BuildRequires:  perl(SQL::Abstract) >= 1.85
Requires:       perl(DBD::Pg) >= 3.005001
Requires:       perl(Mojolicious) >= 7.53
Requires:       perl(SQL::Abstract) >= 1.85
%{perl_requires}

%description
Mojo::Pg is a tiny wrapper around DBD::Pg that makes at
http://www.postgresql.org a lot of fun to use with the at
http://mojolicious.org real-time web framework. Perform queries blocking
and non-blocking, use all at
https://www.postgresql.org/docs/current/static/sql.html PostgreSQL has to
offer, generate CRUD queries from data structures, manage your database
schema with migrations and build scalable real-time web applications with
the publish/subscribe pattern.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes examples README.md
%license LICENSE

%changelog
* Wed Jan 31 2018 coolo@suse.com
- updated to 4.08
  see /usr/share/doc/packages/perl-Mojo-Pg/Changes
  4.08  2018-01-29
  - Improved on_conflict option of insert and insert_p methods in
    Mojo::Pg::Database with a shortcut for simple conflict targets.
  4.07  2018-01-28
  - Added support for "JOIN" to select and select_p methods in
    Mojo::Pg::Database.
  - Added support for field aliases to select and select_p methods in
    Mojo::Pg::Database.
  - Added support for having option to select and select_p methods in
    Mojo::Pg::Database.
  - Improved on_conflict option of insert and insert_p methods in
    Mojo::Pg::Database with shortcuts for "ON CONFLICT DO UPDATE SET" and
    "ON CONFLICT DO NOTHING".
  - Improved for option of select and select_p methods in Mojo::Pg::Database
    with a shortcut for "FOR UPDATE".
  4.06  2018-01-27
  - Added support for on_conflict option to insert and insert_p methods in
    Mojo::Pg::Database.
  - Updated SQL::Abstract requirement to 1.84.
  - Improved error messages generated by SQL::Abstract::Pg to be compatible with
    SQL::Abstract.
  4.05  2018-01-26
  - Added support for for, group_by, limit, offset and order_by options to
    select and select_p methods in Mojo::Pg::Database.
  - Added module SQL::Abstract::Pg.
* Mon Dec 18 2017 coolo@suse.com
- updated to 4.04
  see /usr/share/doc/packages/perl-Mojo-Pg/Changes
  4.04  2017-12-16
  - Added db attribute to Mojo::Pg::Results.
  - Added sql_for method to Mojo::Pg::Migrations.
  - Fixed a bug that could cause connections to be cached for reuse too early.
* Sun Nov  5 2017 coolo@suse.com
- updated to 4.03
  see /usr/share/doc/packages/perl-Mojo-Pg/Changes
  4.03  2017-11-04
  - Improved Mojo::Pg::Database to use Mojo::Promise.
* Fri Nov  3 2017 coolo@suse.com
- updated to 4.02
  see /usr/share/doc/packages/perl-Mojo-Pg/Changes
  4.02  2017-11-02
  - Added delete_p, insert_p, query_p, select_p and update_p methods to
    Mojo::Pg::Database.
* Fri Jul 21 2017 coolo@suse.com
- updated to 4.01
  see /usr/share/doc/packages/perl-Mojo-Pg/Changes
  4.01  2017-07-20
  - Decreased default max_connections from 5 to 1 in Mojo::Pg.
* Fri Jul  7 2017 coolo@suse.com
- updated to 4.0
  see /usr/share/doc/packages/perl-Mojo-Pg/Changes
  4.0  2017-07-06
  - Added support for sharing the database connection cache between multiple
    Mojo::Pg objects.
  - Added parent attribute to Mojo::Pg.
  - Fixed a bug where automatic migrations would leak database connections.
* Fri Jun  2 2017 coolo@suse.com
- updated to 3.06
  see /usr/share/doc/packages/perl-Mojo-Pg/Changes
  3.06  2017-06-01
  - Updated example application with tests.
  - Improved Mojo::Pg to be a little less noisy by deactivating PrintWarn by
    default.
* Fri Mar 17 2017 coolo@suse.com
- updated to 3.05
  see /usr/share/doc/packages/perl-Mojo-Pg/Changes
  3.05  2017-03-12
  - Improved from_string method in Mojo::Pg with search_path support.
* Thu Mar  9 2017 coolo@suse.com
- updated to 3.04
  see /usr/share/doc/packages/perl-Mojo-Pg/Changes
  3.04  2017-03-08
  - Fixed array reference handling in queries generated with SQL::Abstract.
* Wed Mar  8 2017 coolo@suse.com
- updated to 3.03
  see /usr/share/doc/packages/perl-Mojo-Pg/Changes
  3.03  2017-03-07
  - Added reset method to Mojo::Pg::PubSub.
* Wed Mar  1 2017 coolo@suse.com
- updated to 3.02
  see /usr/share/doc/packages/perl-Mojo-Pg/Changes
  3.02  2017-02-18
  - Fixed quoting bugs in queries generated with SQL::Abstract.
* Mon Feb 13 2017 coolo@suse.com
- updated to 3.01
  see /usr/share/doc/packages/perl-Mojo-Pg/Changes
  3.01  2017-02-12
  - Fixed bug in examples where migrations would not be handled correctly.
* Sun Feb 12 2017 coolo@suse.com
- updated to 3.0
  see /usr/share/doc/packages/perl-Mojo-Pg/Changes
  3.0  2017-02-11
  - Added support for generating queries with SQL::Abstract.
  - Added abstract attribute to Mojo::Pg.
  - Added delete, insert, select and update methods to Mojo::Pg::Database.
* Thu Feb  9 2017 coolo@suse.com
- initial package 2.35
  * created by cpanspec 1.78.08
